spring.application.name=SEB Server
spring.profiles.active=ws,gui,dev
sebserver.version=@sebserver-version@

##########################################################
### Global Server Settings

# Server address (set for docker internal)
server.address=0.0.0.0
# Server http port
server.port=8080
# The servlet context path
server.servlet.context-path=/

# Tomcat
server.tomcat.max-threads=2000
server.tomcat.accept-count=300
server.tomcat.uri-encoding=UTF-8

### encoding
file.encoding=UTF-8
spring.mandatoryFileEncoding=UTF-8
spring.http.encoding.charset=UTF-8
spring.http.encoding.enabled=true

### servlet session handling
server.servlet.session.cookie.http-only=true
server.servlet.session.tracking-modes=cookie

### Logging
# Default logging level in the form  "logging.level" + namespace=LEVEL 
logging.level.ROOT=WARN
logging.level.ch=INFO
# Log file name and location
# logging.file=/sebserver/log/sebserver.log

### spring actuator configuration
management.endpoints.jmx.exposure.include=metrics,logfile,loggers,heapdump,health
management.endpoints.web.base-path=/mprofile
management.endpoints.web.exposure.include=metrics,logfile,loggers,heapdump,health

##########################################################
### Overall Security Settings

security.require-ssl=false
#server.ssl.key-store-type=PKCS12
#server.ssl.key-store=/certs/seb-server-keystore.pkcs12
#server.ssl.key-store-password=${sebserver.certs.password}
#server.ssl.key-password=${sebserver.certs.password}
#server.ssl.trust-store=/certs/seb-server-truststore.pkcs12
#server.ssl.trust-store-password=${sebserver.certs.password}
#server.ssl.enabled-protocols=TLSv1,TLSv1.1,TLSv1.2

# If webservice or gui runs on ssl and this flag is true, an integrated redirect from http to https is activated
# Disable this if a redirect is done by a reverse proxy for example
sebserver.ssl.redirect.enabled=false
sebserver.ssl.redirect.html.port=8080
